import { IComposeOptions, IComposeReturnType } from './compose.types';
import { INativeSlotType } from '@uifabricshared/foundation-composable';
import { ISlotProps } from '@uifabricshared/foundation-settings';
/**
 * Assembles a higher order component, optionally composing a base HOC or base primitive control.  The compose pattern
 * allows a greater degree of customization than is available via props and allows for customization without adding
 * additional layers to the react hierarchy.
 *
 * @param inputComponent - component definition for the component to be created.  See IComposeOptions for more details.
 * @param base - optional base component to compose, this can be an intrinsic, a stock element, or another composable
 */
export declare function compose<TProps extends object, TSlotProps extends ISlotProps = ISlotProps<TProps>, TState extends object = object, TStatics extends object = object>(inputComponent: Partial<IComposeOptions<TProps, TSlotProps, TState, TStatics>>, base?: INativeSlotType): IComposeReturnType<TProps, TSlotProps, TState, TStatics>;
