import { ISlotProps } from '@uifabricshared/foundation-settings';
import { IStylingSettings, IUseComposeStyling } from './compose.types';
export declare function getOptionsFromObj<TComponent>(obj: any): TComponent | undefined;
/**
 * return a useStyling implementation, in the form of IUseComposeStyling, based on the passed in styleSettings.  The
 * styleSettings will be captured in the created closure and will be set up to enable the appropriate levels of caching.
 *
 * @param styleSettings - style settings to configure this function.  Note that this should be scoped to a single component.
 * @param name - optional base name to use as a cache key
 */
export declare function initializeStyling<TSlotProps extends ISlotProps>(styleSettings: IStylingSettings<TSlotProps>, name?: string): IUseComposeStyling<TSlotProps>;
